# -*- coding: utf-8 -*-

import abc
 
class GeomInterface(metaclass=abc.ABCMeta):
         
    @abc.abstractproperty
    def address_forest(self,address: str):
        """Adres leśny"""
        pass
     
    @abc.abstractproperty
    def geometry(self,geometry):
        """Obiekt geometri"""
        pass
    
class Geom(GeomInterface):

    def __init__(self,address: str, geometry: str):
        self.__address_forest=address
        self.__geometry=geometry
        
    @property
    def address_forest(self):
        return self.__address_forest
    @address_forest.setter
    def address_forest(self, address:str):
        self.__address_forest= address

    @property
    def geometry(self):
        return self.__geometry

    @geometry.setter
    def geometry(self, geometry):
        self.__geometry= geometry

